#
# spec file for package python3-bsddb3
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-bsddb3
Version:        6.1.0
Release:        6.1
Url:            http://pypi.python.org/pypi/bsddb3
Summary:        Python interface for Berkeley DB
License:        MIT
Group:          Development/Libraries/Python

Source:         http://pypi.python.org/packages/source/b/bsddb3/bsddb3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  db-devel
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute

%description
This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
for the Database Environment, Database, Cursor, Log Cursor, Sequence and
Transaction objects, and each of these is exposed as a Python type in the
bsddb3.db module.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description devel
This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
for the Database Environment, Database, Cursor, Log Cursor, Sequence and
Transaction objects, and each of these is exposed as a Python type in the
bsddb3.db module.

This package contains the development files for %{name}

%prep
%setup -q -n bsddb3-%{version}
sed -i "1d" Lib3/bsddb/dbshelve.py # Fix non-executable bits

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{python3_sitearch}/bsddb3/tests # Remove wrongly packaged tests

# Disabled testsuite, takes quite some time to finish:
#%%check
#python test.py

%files
%defattr(-,root,root,-)
%doc ChangeLog TODO.txt docs/*
%{python3_sitearch}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/python*/bsddb3

%changelog
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- dropped bsddb3-db6.diff: remove patch file for DB 6.x (now supported by default according to changelog)
- update to version 6.1.0:
  * Support Berkeley DB 6.1.x.
  * Solve a ResourceWarning when compiling.
  * Drop support for Python 2.4, 2.5 and 3.1. If you need
    compatibility with those versions, you can keep using old releases
    of these bindings.
  * Drop support for Berkeley DB 4.3, 4.4, 4.5, 4.6. If you need
    compatibility with those versions, you can keep using old releases
    of these bindings.
  * From now, on our support reference is Red Had Enterprise Linux 6.
  * Drop modules attributes "cvsid".
  * Drop (hidden) $Id$ keyword in the documentation.
- changes from version 6.0.1
  * Clarification of license. Thanks to Jan Staněk for bringing this
    issue up. This work is now explicitly licensed under 3-clause BSD
    license.
  * Fixed a long standing bug (August 2008, rev 9fd52748fa59) on
    "dbtables.py". Notified by Maxime Labelle.
  * If you want to link with Oracle Berkeley DB 6.0, you will need to
    create the environment variable
    'YES_I_HAVE_THE_RIGHT_TO_USE_THIS_BERKELEY_DB_VERSION' to signal
    to the pybsddb that you are legal. To be legal, your code MUST be
    AGPL3 *OR* you have to buy a commercial license from Oracle.
    If you are not legally entitled to use Berkeley DB 6.0 and you
    have previous versions of Berkeley DB on your system, you can a)
    delete Berkeley DB 6.0 and try again, OR b) instruct pybsddb to
    use a previous Berkeley DB version, using environment variables or
    command line options.
- changes from version 6.0.0:
  * Support Berkeley DB 6.0.x.
  * HEADS UP: If you are using "bsddb3._bsddb" in your code, for
    example for exceptions, change it to "bsddb3._db".
  * Print test working directory when running the testsuite. You can
    control it using "TMPDIR" environment variable. Defaults to
    "/tmp/z-Berkeley_DB/".
  * Support for "DB_EVENT_REP_AUTOTAKEOVER_FAILED" event.
  * Support for "DB_REPMGR_ISVIEW", "DB_DBT_BLOB", "DB_LOG_BLOB",
    "DB_STREAM_READ", "DB_STREAM_WRITE" and "DB_STREAM_SYNC_WRITE"
    flags.
  * Some DB_SEQUENCE function signatures changed in Berkeley DB 6.0.x.
  * Erratic behaviour of "DBEnv->rep_elect()" because a typo.
  * The testsuite prints Python bitness (32/64).
  * Tests compatible with hash randomization, default in Python
    3.3. See http://bugs.python.org/issue13703 .
  * Errors when trying to calculate the length of a DB were masked,
    and an unuseful and unrelated exception was raised.
  * Code cleanup since pybsddb is not in the Python 3.x stdlib
    anymore, and the version in Python 2.6/2.7 is being maintained
    separately.
* Mon Dec 22 2014 dimstar@opensuse.org
- Drop .keyring and .asc files: The tarball is signed using an MD5
  type key, which is no longer accepted by GPG 2.1
- Drop the usage of gpg-offline: we don't have keys to verify and
  the source validator performs the action transparent nowadays.
* Wed Jul 17 2013 speilicke@suse.com
- Fix signature verification, keyring file has to match package name
* Sat Jun 15 2013 jengelh@inai.de
- Add bsddb3-db6.diff to make setup[23].py look for BDB 6.0
- Signature verification
* Mon Jan 14 2013 saschpe@suse.de
- Drop requires on "python(abi)", RPM does that automatically
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
